package com.yeechart.dotMatrix.signage.bean;

import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;


@Data

/**
 * 报表-生产
 */
public class SheetPVo implements Serializable {


    /**
     * 时间节点-开始
     */
    private String timeStart;

    /**
     * 时间节点-结束
     */
    private String timeEnd;

    /**
     * 展示时间
     */
    private String time;

    /**
     * 良品数量
     */
    private Double good = 0.0;

    /**
     * 不良品数量
     */
    private Double noGood = 0.0;

    /**
     * 产能
     */
    private Double production = 0.0;

    /**
     * 良品率
     */
    private BigDecimal goodRate = BigDecimal.valueOf(0.0);

    /**
     * 稼动率
     */
    private BigDecimal utilizationRate = BigDecimal.valueOf(0.0);

    /**
     * 状态持续时长
     */
    private BigDecimal duration = BigDecimal.valueOf(0.0);
    private Long tId;
    private Long wSId;
    private String _id;


}
