package com.yeechart.dotMatrix.signage.bean;


import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;

@Data

/**
 * 终端020201状态驱动源
 */
public class Ter020201DriverBean {


    /**
     * 设备ID
     */
    private String deId;


    /**
     * 运行 驱动源（0，按键，1：所属工站）
     */
    private Integer runDriver;


    /**
     * 待料 驱动源（0，按键，1：所属工站）
     */
    private Integer waitDriver;


    /**
     * 维修 驱动源（0，按键，1：所属工站）
     */
    private Integer maintainDriver;


    /**
     * 故障 驱动源（0，按键，1：所属工站）
     */
    private Integer faultDriver;


    /**
     * 保养 驱动源（0，按键，1：所属工站）
     */
    private Integer upkeepDriver;


    /**
     * 停机 驱动源（0，按键，1：所属工站）
     */
    private Integer haltDriver;


    /**
     * 创建时间
     */
    private String createTime;


    /**
     * 更新时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date updateTime;


    /**
     * 运行 是否开启（0：开启，1：不开启）
     */
    private Integer run = 0;

    /**
     * 运行的别名
     */
    private String rAlias;

    /**
     * 序号
     */
    private Integer rOrder;


    /**
     * 待料 是否开启（0：开启，1：不开启）
     */
    private Integer wait = 0;

    /**
     * 待料的别名
     */
    private String wAlias;

    /**
     * 序号
     */

    private Integer wOrder;


    /**
     * 维修 是否开启（0：开启，1：不开启）
     */
    private Integer maintain = 0;

    /**
     * 维修的别名
     */
    private String mAlias;

    /**
     * 序号
     */
    private Integer mOrder;


    /**
     * 故障 是否开启（0：开启，1：不开启）
     */
    private Integer fault = 0;

    /**
     * 故障的别名
     */
    private String fAlias;

    /**
     * 序号
     */
    private Integer fOrder;


    /**
     * 保养 是否开启（0：开启，1：不开启）
     */
    private Integer upkeep = 0;

    /**
     * 保养的别名
     */
    private String uAlias;

    /**
     * 序号
     */
    private Integer uOrder;


    /**
     * 停机 是否开启（0：开启，1：不开启）
     */
    private Integer halt = 0;

    /**
     * 停机的别名
     */
    private String hAlias;

    /**
     * 序号
     */
    private Integer hOrder;

}
