package com.yeechart.dotMatrix.signage.bean;


import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;


@Data

/**
 * 终端信息-打卡设置
 */
public class TiClockBean {


    /**
     * 工站ID
     */
    private Long wSId;


    /**
     * 生产别名
     */
    private String pAlias;

    /**
     * 生产 是否启用(0:启用，1：不启动)
     */
    private Integer produce = 0;


    /**
     * 巡检别名
     */
    private String iAlias;

    /**
     * 巡检 是否启用(0:启用，1：不启动)
     */
    private Integer inspect = 0;


    /**
     * 维修别名
     */
    private String mAlias;

    /**
     * 维修 是否启用(0:启用，1：不启动)
     */
    private Integer maintain = 0;


    /**
     * 保养别名
     */
    private String uAlias;

    /**
     * 保养 是否启用(0:启用，1：不启动)
     */
    private Integer upkeep = 0;


    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date createTime;

    /**
     * 更新时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date updateTime;

    public TiClockBean() {

    }

}