package com.yeechart.dotMatrix.signage.bean;


import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;

@Data
/**
 * 工站责任人设置
 */
public class TiOnusBean {


    /**
     * 工站ID
     */
    private Long wSId;


    /**
     * 生产责任人别名
     */
    private String pAlias;

    /**
     * 生产责任人 是否启用(0:启用，1：不启动)
     */
    private Integer isProduce = 0;


    /**
     * 巡检责任人别名
     */
    private String iAlias;

    /**
     * 巡检责任人 是否启用(0:启用，1：不启动)
     */
    private Integer isInspect = 0;


    /**
     * 维修责任人别名
     */
    private String mAlias;

    /**
     * 维修责任人 是否启用(0:启用，1：不启动)
     */
    private Integer isMaintain = 0;


    /**
     * 保养责任人别名
     */
    private String uAlias;

    /**
     * 保养责任人 是否启用(0:)
     */
    private Integer isUpkeep = 0;


    /**
     * 操作人员 别名
     */
    private String oAlias;

    /**
     * 操作人员 是否启用(0:启用，1：不启动)
     */
    private Integer isOperate = 0;


    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date createTime;

    /**
     * 更新时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date updateTime;


}